Skip to main content
GET
/
v1
/
customers
/
{Customer}
Get Customer
curl --request GET \
  --url https://api.ecrypt.com/v1/customers/{Customer} \
  --header 'x-api-key: <api-key>'
{
  "requestId": "000000000000000000000",
  "customers": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "firstName": "John",
      "lastName": "Doe",
      "company": "US Oil Supply",
      "merchantIdentifier": "EID-987654-321",
      "phoneNumber": "555-555-555",
      "emailAddress": "email@email.com",
      "shippingAddress": {
        "name": "<string>",
        "line1": "<string>",
        "line2": "<string>",
        "city": "<string>",
        "state": "<string>",
        "postalCode": "<string>",
        "country": "<string>"
      },
      "metadata": {}
    }
  ],
  "errors": [
    {
      "type": "<string>",
      "message": "<unknown>"
    }
  ]
}

Authorizations

x-api-key
string
header
required

Authorization by x-api-key inside request's header

Path Parameters

Customer
string
default:00000000-0000-0000-0000-000000000000
required

Customer is the Ecrypt customer identifier.

Example: 00000000-0000-0000-0000-000000000000

Required string length: 8 - 64
Pattern: ^[0-9A-Za-z-]*$

Response

object | null

OK

requestId
string
default:000000000000000000000
required
Required string length: 1 - 100
customers
(object | null)[] | null
errors
(object | null)[] | null